%define upstream_name    Module-Build
%define upstream_version 0.4231

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    Build and install Perl modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Module-Build-fix-shebang.diff
Patch1:     Module-Build-fix-shebang--test.diff

BuildRequires: perl(CPAN::Meta) >= 2.142.60
BuildRequires: perl(CPAN::Meta::YAML) >= 0.3.0
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::CBuilder) >= 0.270.0
BuildRequires: perl(ExtUtils::Install)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires: perl(ExtUtils::Mkbootstrap)
BuildRequires: perl(ExtUtils::ParseXS) >= 2.210.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(File::Temp) >= 0.150.0
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Module::Metadata) >= 1.0.2
BuildRequires: perl(Parse::CPAN::Meta) >= 1.440.100
BuildRequires: perl(Perl::OSType) >= 1.0.0
BuildRequires: perl(Pod::Man) >= 2.170.0
BuildRequires: perl(TAP::Harness) >= 3.290.0
BuildRequires: perl(Test::More) >= 0.490.0
BuildRequires: perl(Text::Abbrev)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(version) >= 0.870.0
BuildRequires: perl-devel
# (tv) this is a soft dep (require instead of use); w/o it some builds failed with
# "Module::Build is not configured with C_support":
BuildArch:  noarch

Recommends: perl-ExtUtils-CBuilder

%description
Module::Build is a system for building, testing, and installing Perl modules.
It is meant to be a replacement for ExtUtils::MakeMaker. Developers may alter
the behavior of the module through subclassing in a much more straightforward
way than with MakeMaker. It also does not require a make on your system - most
of the Module::Build code is pure-perl and written in a very cross-platform
way. In fact, you don't even need a shell, so even platforms like MacOS
(traditional) can use it fairly easily. Its only prerequisites are modules that
are included with perl 5.6.0, and it works fine on perl 5.005 if you can
install a few additional modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}
for i in %{buildroot}/%{_bindir}/*; do mv $i $i-%{upstream_version}; done

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/*
%{perl_vendorlib}/Module
%{_mandir}/*/*

%changelog
* Thu Feb 20 2020 umeabot <umeabot> 1:0.423.100-2.mga8
+ Revision: 1546074
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 tv <tv> 1:0.423.100-1.mga8
+ Revision: 1485851
- update to 0.4231

* Wed Apr 17 2019 shlomif <shlomif> 1:0.422.900-1.mga7
+ Revision: 1392499
- update to 0.4229

* Thu Sep 20 2018 umeabot <umeabot> 1:0.422.400-2.mga7
+ Revision: 1284776
- Mageia 7 Mass Rebuild

* Fri Jul 28 2017 shlomif <shlomif> 1:0.422.400-1.mga7
+ Revision: 1131696
- New version 0.4224

* Wed Apr 26 2017 neoclust <neoclust> 1:0.421.800-3.mga6
+ Revision: 1097424
- Add P1 - Fixes CVE-2016-1238 (mga#19051)

* Sun Jun 19 2016 pterjan <pterjan> 1:0.421.800-2.mga6
+ Revision: 1029908
- Rebuild for perl 5.22.2

* Sat Apr 30 2016 shlomif <shlomif> 1:0.421.800-1.mga6
+ Revision: 1008082
- update to 0.4218

* Fri Apr 15 2016 shlomif <shlomif> 1:0.421.600-1.mga6
+ Revision: 1002141
- update to 0.4216

* Thu Feb 18 2016 umeabot <umeabot> 1:0.421.400-2.mga6
+ Revision: 967324
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1:0.421.400-1.mga6
+ Revision: 848704
- update to 0.4214

* Sun Oct 19 2014 umeabot <umeabot> 1:0.421.0-5.mga5
+ Revision: 789828
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1:0.421.0-4.mga5
+ Revision: 747048
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 jquelin <jquelin> 1:0.421.0-3.mga5
+ Revision: 731986
- perl 5.20.1 rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.421.0-2.mga5
+ Revision: 685410
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Sep 01 2014 sander85 <sander85> 1:0.421.0-1.mga5
+ Revision: 670588
- update to 0.4210

* Tue Aug 19 2014 sander85 <sander85> 1:0.420.800-1.mga5
+ Revision: 665429
- update to 0.4208

* Sat Aug 16 2014 sander85 <sander85> 1:0.420.700-1.mga5
+ Revision: 664389
- update to 0.4207

* Tue Jul 15 2014 sander85 <sander85> 1:0.420.600-1.mga5
+ Revision: 652992
- update to 0.4206

* Fri Jun 06 2014 jquelin <jquelin> 1:0.420.500-2.mga5
+ Revision: 634033
- perl 5.20 rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1:0.420.500-1.mga5
+ Revision: 588203
- update to 0.4205

* Mon Feb 10 2014 jquelin <jquelin> 1:0.420.400-3.mga5
+ Revision: 587902
- rebuild after perl 5.18.2

* Thu Feb 06 2014 sander85 <sander85> 1:0.420.400-2.mga5
+ Revision: 584472
- Rebuild for new perl

* Tue Feb 04 2014 shlomif <shlomif> 1:0.420.400-1.mga5
+ Revision: 581275
- update to 0.4204

* Sat Oct 19 2013 umeabot <umeabot> 1:0.400.700-3.mga4
+ Revision: 532873
- Mageia 4 Mass Rebuild

* Fri Aug 23 2013 sander85 <sander85> 1:0.400.700-2.mga4
+ Revision: 470189
- Rebuild for new perl

* Sun Jul 21 2013 sander85 <sander85> 1:0.400.700-1.mga4
+ Revision: 456964
- update to 0.4007
- rediff patch0

* Mon Jun 03 2013 jquelin <jquelin> 1:0.400.500-1.mga4
+ Revision: 436410
- update to 0.4005

* Sun Jan 13 2013 umeabot <umeabot> 1:0.400.300-4.mga3
+ Revision: 369760
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1:0.400.300-3.mga3
+ Revision: 315487
- perl 5.16.2 rebuild

* Tue Sep 04 2012 tv <tv> 1:0.400.300-2.mga3
+ Revision: 288231
- fix testsuie
- stop replacing "!/usr/bin/perl" by "#!/usr/bin/perl5161"

* Fri Aug 31 2012 kharec <kharec> 1:0.400.300-1.mga3
+ Revision: 286337
- update to 0.4003

* Fri Aug 24 2012 jquelin <jquelin> 1:0.400.100-3.mga3
+ Revision: 283625
- perl 5.16.1 rebuild

* Fri Aug 24 2012 jquelin <jquelin> 1:0.400.100-2.mga3
+ Revision: 283544
- perl 5.16.1 rebuild

* Mon Jul 02 2012 jquelin <jquelin> 1:0.400.100-1.mga3
+ Revision: 266674
- update to 0.4001

* Thu May 31 2012 jquelin <jquelin> 1:0.400.0-1.mga3
+ Revision: 252187
- update to 0.40
- fix %%files after rename
- fix script conflicts with perl
- remove old tarball reference

* Sun Jun 19 2011 jquelin <jquelin> 1:0.380.0-2.mga2
+ Revision: 109887
- rebuild script for perl 5.14.1

* Thu Mar 10 2011 jquelin <jquelin> 1:0.380.0-1.mga1
+ Revision: 67599
- new version 0.3800
- update to 0.3800

* Mon Jan 31 2011 jquelin <jquelin> 1:0.362.400-1.mga1
+ Revision: 45212
- adding missing buildrequires:
- update to 0.3624

* Wed Jan 19 2011 jquelin <jquelin> 1:0.360.700-1.mga1
+ Revision: 24268
- fix specs
- fix specs
- imported package perl-Module-Build


* Tue Apr 06 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.360.700-1mdv2010.1
+ Revision: 532156
- update to 0.3607

* Thu Apr 01 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.360.500-1mdv2010.1
+ Revision: 530667
- update to 0.3605

* Mon Mar 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.360.300-2mdv2010.1
+ Revision: 515889
- ensure backportability

* Tue Jan 19 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.360.300-1mdv2010.1
+ Revision: 493589
- update to 0.3603

* Wed Dec 23 2009 Jérôme Quelin <jquelin@mandriva.org> 1:0.360.100-1mdv2010.1
+ Revision: 481712
- update to 0.3601

* Mon Dec 21 2009 Jérôme Quelin <jquelin@mandriva.org> 1:0.360.0-1mdv2010.1
+ Revision: 480732
- update to 0.36

* Fri Aug 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1:0.350.0-1mdv2010.0
+ Revision: 421837
- update to 0.35

* Thu Aug 20 2009 Jérôme Quelin <jquelin@mandriva.org> 1:0.340.201-1mdv2010.0
+ Revision: 418656
- update to 0.340201

* Fri Jul 31 2009 Anssi Hannula <anssi@mandriva.org> 1:0.340.0-2mdv2010.0
+ Revision: 405175
- buildrequires perl-devel for tests
- bump release for the rebuild, works better that way

  + Jérôme Quelin <jquelin@mandriva.org>
    - rebuild using %%perl_convert_version

* Wed Jul 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.340.0-1mdv2010.0
+ Revision: 393697
- new version

* Sun May 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.33-1mdv2010.0
+ Revision: 373931
- new version

* Sat Feb 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.32-1mdv2009.1
+ Revision: 345919
- update to new version 0.32

* Wed Dec 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.31-1mdv2009.1
+ Revision: 318315
- new version

* Tue Nov 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.30-1mdv2009.1
+ Revision: 302168
- new version

* Wed Sep 24 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2808-4mdv2009.0
+ Revision: 287784
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.2808-3mdv2008.1
+ Revision: 152489
- rebuild for new perl
- replace a requires by a suggests
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 22 2007 Thierry Vignaud <tv@mandriva.org> 0.2808-2mdv2008.0
+ Revision: 69023
- fix missing deps (b/c of require instead of use) that make other package builds
  failed due to +# (tv) this is a soft dep; w/o it some builds failed with
  "Module::Build is not configured with C_support"

* Tue Jul 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2808-1mdv2008.0
+ Revision: 47699
- update to new version 0.2808


* Wed Dec 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2806-1mdv2007.0
+ Revision: 100405
- new version
- Import perl-Module-Build

* Tue Aug 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2805-1mdv2007.0
- New version 0.2805

* Mon Jul 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2801-4mdv2007.0
- fix "Module::Build is not configured with C_support at ..."

* Sun Jun 18 2006 Scott Karns <scottk@mandriva.org> 0.2801-3mdv2007.0
- Rebuild
- Remove mdkversion conditional around BuildRequires perl-devel so
  all tests run successfully

* Mon May 22 2006 Scott Karns <scottk@mandriva.org> 0.2801-2mdk
- Added BuildRequires perl(ExtUtils::CBuilder) >= 0.15

* Mon May 22 2006 Scott Karns <scottk@mandriva.org> 0.2801-1mdk
- New release 0.2801
- Improved source URL
- Updated BuildRequires per META.yml and Mandriva perl packaging policy

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2612-1mdk
- New release 0.2612
- %%mkrel

* Sun Aug 21 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2611-2mdk
- perl-devel is still required to run the tests of this package

* Wed Jun 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.2611-1mdk
- 0.2611

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.2610-2mdk 
- rpmbuildupdate aware
- better url
- drop useless empty directories
- fix buildrequires in a backward compatible way
- spec cleanup
- Build test in %%check

* Sat Apr 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.2610-1mdk
- 0.2610

* Wed Feb 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.2608-1mdk
- 0.2608

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2607-2mdk
- require perl-devel for building on newer than 10.1 too as it's required for testing

* Thu Dec 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.2607-1mdk
- 0.2607

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.2604-2mdk
- fix buildrequires in a backward compatible way

* Wed Nov 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.2604-1mdk
- 0.2604
- install the new config_data script

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.25-1mdk
- 0.25

* Thu Apr 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.24-1mdk
- new version
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.21-2mdk
- fixed dir ownership (distlint)

